Bug 68293 - rpm-spec-mode overrides keys reserved for user
rpm-spec-mode overrides keys reserved for user
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-07-08 17:40 EDT by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-19 19:58:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2002-07-08 17:40:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I globally bind C-c r in Emacs to a function I use a lot.
Today I was visiting an rpm spec file, and used that key.
It did something completely different from what I expected, because
rpm-spec-mode rebinds C-c r.

In Emacs there is a general rule that all C-c LETTER bindings are
reserved for the user.  Modes aren't supposed to override them.
rpm-spec-mode overrides a number of these.  (In fact, these are the
*only* bindings reserved for users, so overriding them is doubly

This particular rule is documented in the Elisp manual.
See the node (elisp)Coding Conventions.
This node also mentions which key sequences are reserved for

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.C-x C-f /tmp/foo.spec
2.C-h b
3.Look at C-c map


Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-07-09 16:06:57 EDT
Confirmed. Mailed author, I don't want to invent my own keybindings :).
Comment 2 Preston Brown 2002-10-22 09:09:49 EDT
Author indicates new code is at:

Comment 3 Jens Petersen 2002-12-18 03:17:55 EST
Should be fixed in emacs-21.2-24 in rawhide, which contains rpm-spec-mode
version 0.12.
Comment 4 Jens Petersen 2002-12-19 19:58:22 EST
Closing fixed. Please reopen if there are still problems.

Note You need to log in before you can comment on or make changes to this bug.